Subject: Unsatisfied with product purchased
From: [email-masked]
To: [email-masked]
Date: Sun, 8 Dec 2024 09:30:44 -0500

Good morning,

I purchased 7 of the Madison Park Galen Cordless Roman Shades (Basketweave White) from Amazon. I’m extremely unsatisfied. Nearly all of them have these dotted stains on them as well as other visible flaws. I didn’t want to deal with the hassle of returning all of them as I already mounted them in my windows (i.e. drilled holes). I thought that I could spot clean the stains out but I was unable to remove the stains. Now, I missed my return window. This was over $300. I thought about just trashing them and replacing them with typical Levolor blinds. I just can’t get over the money I spent and how not one but all 7 were flawed. This has been such a hassle.

Is there anything that can be done to remedy the situation? 

Do you have regular blinds that can fit into the brackets that go with the shades I ordered? I’d hate to remove the brackets and now have holes. 

Thanks, 

Alyssa Stuart